# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-File-ShareDir
Version:	1.118
Release:	1.%{__distinit}%{__distvers}
Summary:	Locate per-dist and per-module shared files
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/File-ShareDir
Source0:	https://cpan.metacpan.org/modules/by-module/File/File-ShareDir-%{version}.tar.gz
Patch0:		File-ShareDir-1.116-kludge.patch
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(lib)
# Dependencies of bundled inc::latest and File::ShareDir::Install
BuildRequires:	perl(IO::Dir)
BuildRequires:	perl(IO::File)
BuildRequires:	perl(vars)
# Module Runtime
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(Class::Inspector) >= 1.12
BuildRequires:	perl(constant)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(File::Spec) >= 0.80
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Cwd)
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(File::Path) >= 2.08
BuildRequires:	perl(parent)
BuildRequires:	perl(POSIX)
BuildRequires:	perl(Test::More) >= 0.90
# Optional Tests
BuildRequires:	perl(CPAN::Meta) >= 2.11044
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Class::Inspector) >= 1.12
Requires:	perl(File::Spec) >= 0.80

# Optional Functionality
BuildRequires:	perl(List::MoreUtils) >= 0.428
Requires:	perl(List::MoreUtils) >= 0.428
BuildRequires:	perl(Params::Util) >= 1.07
Requires:	perl(Params::Util) >= 1.07

# Drop redundant unversioned dependencies
%global __requires_exclude ^perl\\((Class::Inspector|File::Spec)\\)$

%description
The intent of File::ShareDir is to provide a companion to Class::Inspector
and File::HomeDir, modules that take a process that is well-known by
advanced Perl developers but gets a little tricky, and make it more
available to the larger Perl community.

%prep
%setup -q -n File-ShareDir-%{version}

# Test fails if File::ShareDir::Install isn't installed - use bundled version
%patch0

# No reason for these to be executable
chmod -c -x lib/File/ShareDir.pm share/sample.txt share/subdir/sample.txt

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes README.md
%dir %{perl_vendorlib}/auto/
%dir %{perl_vendorlib}/auto/share/
%dir %{perl_vendorlib}/auto/share/dist/
%dir %{perl_vendorlib}/auto/share/module/
%{perl_vendorlib}/auto/share/dist/File-ShareDir/
%{perl_vendorlib}/auto/share/module/File-ShareDir/
%{perl_vendorlib}/File/
%{_mandir}/man3/File::ShareDir.3*

%changelog
* Wed Oct 21 2020 Paul Howarth <paul@city-fan.org> - 1.118-1
- Update to 1.118
  - Fix failing test of dependencies in 1.116 (CPAN RT#127376, GH#14)
  - Fix running tests in parallel (CPAN RT#133368, GH#15)
  - Fix spelling error in manpage (CPAN RT#125907, GH#17)

* Tue Jun  4 2019 Paul Howarth <paul@city-fan.org> - 1.116-5
- Perl 5.30 rebuild

* Mon Jun 25 2018 Paul Howarth <paul@city-fan.org> - 1.116-1
- Update to 1.116
  - Fix fail-test which incorrectly read without permission ⇒ introduce new
    CI test proving this
  - Spelling fixes
  - Fix author tests when run without recommended dependencies
  - Add a test proving and reporting dependencies
- Work around broken test when File::ShareDir::Install isn't installed

* Thu Jun 21 2018 Paul Howarth <paul@city-fan.org> - 1.114-1
- Update to 1.114
  - Be more expressive regarding prerequisites
  - Improve detection for situations where no permission test can be done
  - Fix edge case for 5.8

* Tue Jun 19 2018 Paul Howarth <paul@city-fan.org> - 1.112-1
- Update to 1.112
  - Fix tests that fail when running as root (CPAN RT#125602)
  - Fix tests fail on MSWin32 for similar reason as the root failures from
    CPAN RT#125602
  - Clarify support rules
  - Improve POD

* Mon Jun 18 2018 Paul Howarth <paul@city-fan.org> - 1.110-1
- Update to 1.110
  - Fix undefined subroutine &File::ShareDir::croak called
    (CPAN RT#125575, CPAN RT#125582)
  - Improve tests a little (a higher test coverage would be great)
  - Update README.md
  - Remove unused/incomplete _dist_packfile
  - Refactor _search_inc_path
  - Add badges to POD

* Mon Jun 11 2018 Paul Howarth <paul@city-fan.org> - 1.106-1
- Update to 1.106
  - Add support for overriding the resolved path for a given Module or Dist
  - _dist_file_new lacked return check (CPAN RT#40158, CPAN RT#84914)
  - Common @INC traversal code for easier overriding in controlled environments
    (CPAN RT#60431)
  - State explicitly how developers can use File::ShareDir even in development
    phase out-of-the-box (CPAN RT#63548)
  - Fix Windows style path errors (CPAN RT#18042)
  - Improve infrastructure of distribution (toolchain, perltidy, perlcritic,
    Devel::Cover, ...)
  - Deploy with most recent File::ShareDir::Install
- BR:/R: recommended module Params::Util ≥ 1.07
- Switch upstream from search.cpan.org to metacpan.org
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl

* Thu Jun 29 2017 Paul Howarth <paul@city-fan.org> - 1.104-1
- Update to 1.104
  - Fix tests for Perls with no "." in @INC (CPAN RT#120833)
  - Avoid tracking bundled prereqs - use inc::latest tooling from
    List::MoreUtils...
  - Bundle reasonable LICENSE file and README.md
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Thu Aug 25 2016 Paul Howarth <paul@city-fan.org> - 1.102-7
- BR: perl-generators where available
- Simplify find command using -delete

* Tue Sep  2 2014 Paul Howarth <paul@city-fan.org> - 1.102-3
- Perl 5.20 rebuild

* Mon May 12 2014 Paul Howarth <paul@city-fan.org> - 1.102-1
- Update to 1.102
  - Reformat Changes according to CPAN::Changes::Spec
  - Switch to EU::MM
  - In the SEE ALSO section of the POD, add a link to
    Dist::Zilla::Plugin::ShareDir (CPAN RT#95401)
  - Explicitly require warnings as runtime prerequisite
  - New maintainer: Jens Rehsack
- This release by REHSACK -> update source URL
- Classify buildreqs by usage
- Upstream no longer shipping LICENSE and README files
- Drop %%defattr, redundant since rpm 4.4

* Thu Jul 18 2013 Paul Howarth <paul@city-fan.org> - 1.03-10
- Perl 5.18 rebuild

* Mon Jul  1 2013 Paul Howarth <paul@city-fan.org> - 1.03-9
- Import from Fedora

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Oct 23 2012 Petr Šabata <contyk@redhat.com> - 1.03-7
- Modernize specfile
- Specify all dependencies
- Drop command macros

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 06 2012 Petr Pisar <ppisar@redhat.com> - 1.03-5
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jun 28 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.03-3
- Perl mass rebuild
- Fix macros

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb  2 2011 Petr Sabata <psabata@redhat.com> - 1.03-1
- 1.03 version bump

* Thu Dec 16 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.02-2
- Rebuild to fix problems with vendorarch/lib (#661697)

* Wed Sep 15 2010 Petr Pisar <ppisar@redhat.com> - 1.02-1
- 1.02 bump

* Sat May 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.00-6
- Mass rebuild with perl-5.12.0

* Thu Jan 14 2010 Marcela Mašláňová 1.00-5
- Fix build

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.00-4
- Rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.00-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.00-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Aug 11 2008 Marcela Mašláňová 1.00-1
- Specfile autogenerated by cpanspec 1.77
